Get a namespace path item

NAS File Storage REST API Reference

Version
15.6.x
File Size
1291 KB
Audience
anonymous
Part Number
MK-92HNAS100-07
ft:lastEdition
2026-04-07
get /v9/storage/namespaces/{namespaceObjectId}/path-items/{namespacePathObjectId}

Get the details of a namespace path item, rather than resolving it, or displaying its contents.

Note: Accepted parameter values may be restricted based on the virtual server access granted by the API key used for authentication.

Authentication: x_subsystem_user Api Key "X-Subsystem-User"
Authentication: x_subsystem_password Api Key "X-Subsystem-Password"
Authentication: api_key Api Key "X-Api-Key"
Authentication: basicAuth HTTP - basic scheme
Path parameters
namespaceObjectId String required

Object ID of the namespace

Example: 303a3a3a636e733a3a3a303a3a3a4f49445f24232140255f56
namespacePathObjectId String required

Object ID of the namespace path item

Example: 666f6c646572313a3a3a303a3a3a4f49445f24232140255f56
CLIENT REQUEST
curl -X 'GET'
-H "X-Subsystem-User: [[apiKey]]" \
-H "X-Subsystem-Password: [[apiKey]]" \
-H "X-Api-Key: [[apiKey]]" \
-H "Authorization: Basic [[basicHash]]" \
-H 'Accept: application/json'
'https://172.27.146.40:8444/v9/storage/namespaces/{namespaceObjectId}/path-items/{namespacePathObjectId}'
import http.client conn = http.client.HTTPSConnection("172.27.146.40:8444") headers = { 'Authorization': "Basic REPLACE_BASIC_AUTH" } conn.request("GET", "/v9/storage/namespaces/303a3a3a636e733a3a3a303a3a3a4f49445f24232140255f56/path-items/666f6c646572313a3a3a303a3a3a4f49445f24232140255f56", headers=headers) res = conn.getresponse() data = res.read() print(data.decode("utf-8"))
require 'uri' require 'net/http' require 'openssl' url = URI("https://172.27.146.40:8444/v9/storage/namespaces/303a3a3a636e733a3a3a303a3a3a4f49445f24232140255f56/path-items/666f6c646572313a3a3a303a3a3a4f49445f24232140255f56") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true http.verify_mode = OpenSSL::SSL::VERIFY_NONE request = Net::HTTP::Get.new(url) request["Authorization"] = 'Basic REPLACE_BASIC_AUTH' response = http.request(request) puts response.read_body
const data = null; const xhr = new XMLHttpRequest(); xhr.withCredentials = true; xhr.addEventListener("readystatechange", function () { if (this.readyState === this.DONE) { console.log(this.responseText); } }); xhr.open("GET", "https://172.27.146.40:8444/v9/storage/namespaces/303a3a3a636e733a3a3a303a3a3a4f49445f24232140255f56/path-items/666f6c646572313a3a3a303a3a3a4f49445f24232140255f56"); xhr.setRequestHeader("Authorization", "Basic REPLACE_BASIC_AUTH"); xhr.send(data);
HttpResponse<String> response = Unirest.get("https://172.27.146.40:8444/v9/storage/namespaces/303a3a3a636e733a3a3a303a3a3a4f49445f24232140255f56/path-items/666f6c646572313a3a3a303a3a3a4f49445f24232140255f56") .header("Authorization", "Basic REPLACE_BASIC_AUTH") .asString();
import Foundation let headers = ["Authorization": "Basic REPLACE_BASIC_AUTH"] let request = NSMutableURLRequest(url: NSURL(string: "https://172.27.146.40:8444/v9/storage/namespaces/303a3a3a636e733a3a3a303a3a3a4f49445f24232140255f56/path-items/666f6c646572313a3a3a303a3a3a4f49445f24232140255f56")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume()
<?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_PORT => "8444", CURLOPT_URL => "https://172.27.146.40:8444/v9/storage/namespaces/303a3a3a636e733a3a3a303a3a3a4f49445f24232140255f56/path-items/666f6c646572313a3a3a303a3a3a4f49445f24232140255f56", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", CURLOPT_HTTPHEADER => [ "Authorization: Basic REPLACE_BASIC_AUTH" ], ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; }
CURL *hnd = curl_easy_init(); curl_easy_setopt(hnd, CURLOPT_CUSTOMREQUEST, "GET"); curl_easy_setopt(hnd, CURLOPT_URL, "https://172.27.146.40:8444/v9/storage/namespaces/303a3a3a636e733a3a3a303a3a3a4f49445f24232140255f56/path-items/666f6c646572313a3a3a303a3a3a4f49445f24232140255f56"); struct curl_slist *headers = NULL; headers = curl_slist_append(headers, "Authorization: Basic REPLACE_BASIC_AUTH"); curl_easy_setopt(hnd, CURLOPT_HTTPHEADER, headers); CURLcode ret = curl_easy_perform(hnd);
var client = new RestClient("https://172.27.146.40:8444/v9/storage/namespaces/303a3a3a636e733a3a3a303a3a3a4f49445f24232140255f56/path-items/666f6c646572313a3a3a303a3a3a4f49445f24232140255f56"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", "Basic REPLACE_BASIC_AUTH"); IRestResponse response = client.Execute(request);
Responses

Successful operation

Body
application/json
namespaceItemobject

Namespace item

displayNamearray[string]

Full path of the namespace item

isDirectoryboolean

True indicates the entry represents a directory. False indicates the entry is a link

linkDetailsobject

Namespace link details

filesystemIdstring

ID of the file system

Example:"7B263DFD1D71E65A0000000000000000"
filesystemLabelstring

Label of the file system

Example:"Filesystem1"
filesystemPathstring

Full path of the link target within the destination file system

Example:"/folder"
isCnsFriendlyboolean

True indicates that there are no existing shares or exports configured for the destination file system

localReadCacheOptionstring (Enum)

NFS local read cache option

Allowed values:"DISABLED""ENABLED_FOR_ALL_FILES""ENABLED_FOR_CVLS"
remoteReadCacheOptionstring (Enum)

NFS remote read caching options

Allowed values:"DISABLED""ENABLED_FOR_ALL_FILES""ENABLED_FOR_CVLS"
namestring

Single level name of the namespace item

Example:"link-newname"
objectIdstring

Unique ID of the object

Example:"333a3a3a3a3a3a303a3a3a4f49445f24232140255f56"
RESPONSE
{ "namespaceItem": { "displayName": [ "//link-newname" ], "isDirectory": false, "linkDetails": { "filesystemId": "7B263DFD1D71E65A0000000000000000", "filesystemLabel": "Filesystem1", "filesystemPath": "/folder", "isCnsFriendly": false, "localReadCacheOption": "DISABLED", "remoteReadCacheOption": "DISABLED" }, "name": "link-newname", "objectId": "333a3a3a3a3a3a303a3a3a4f49445f24232140255f56" } }

Bad Request

Body
application/json
errorCodeintegerint32

Generic error code

Example:1081353
errorMsgstring

Main error message

Example:"Invalid description parameter - the optional parameter must be between 2 and 30 characters long to be valid, if supplied"
RESPONSE
{ "errorCode": 1081353, "errorMsg": "Invalid description parameter - the optional parameter must be between 2 and 30 characters long to be valid, if supplied" }

Unauthorized - the request was rejected because the credentials or API key were either missing or invalid

Forbidden - the client does not have the required permissions to perform the operation

Body
application/json
errorMsgstring

Main error message

Example:"Forbidden request - the client does not have the required permissions to perform the operation"
RESPONSE
{ "errorMsg": "Forbidden request - the client does not have the required permissions to perform the operation" }

Not Found - a resource specified was not found

Body
application/json
errorCodeintegerint32

Generic error code

Example:1081345
errorDetailobject

Detailed error information

detailstring

More details on why the error occurred

faultstring
fileNamestring

Source file where the error occurred

Example:"RestApiFilesystems.cpp"
functionstring

Internal function name where the error occurred

Example:"mountFilesystem"
lineNumberintegerint32

Line number within the source file, where the error occurred

messagestring

Reason why the error(s) occurred

Example:"The file system is currently unassigned"
reasonstring

Reason why the error(s) occurred

Example:"The file system is currently unassigned"
returnedValueintegerint32

Not used

subCodeintegerint32

Specific failure error code

errorMsgstring

Main error message

Example:"Cannot find the object of the operation on the device"
RESPONSE
{ "errorCode": 1081345, "errorDetail": { "detail": "", "fault": "", "fileName": "RestApiFilesystems.cpp", "function": "mountFilesystem", "lineNumber": 0, "message": "The file system is currently unassigned", "reason": "The file system is currently unassigned", "returnedValue": 0, "subCode": 0 }, "errorMsg": "Cannot find the object of the operation on the device" }

Internal Server Error

Body
application/json
errorCodeintegerint32

Generic error code

errorDetailobject

Detailed error information

detailstring

More details on why the error occurred

faultstring
fileNamestring

Source file where the error occurred

Example:"RestApiFilesystems.cpp"
functionstring

Internal function name where the error occurred

Example:"mountFilesystem"
lineNumberintegerint32

Line number within the source file, where the error occurred

messagestring

Reason why the error(s) occurred

Example:"The file system is currently unassigned"
reasonstring

Reason why the error(s) occurred

Example:"The file system is currently unassigned"
returnedValueintegerint32

Not used

subCodeintegerint32

Specific failure error code

errorMsgstring

Main error message

Example:"Failed to mount file system"
RESPONSE
{ "errorCode": 0, "errorDetail": { "detail": "", "fault": "", "fileName": "RestApiFilesystems.cpp", "function": "mountFilesystem", "lineNumber": 0, "message": "The file system is currently unassigned", "reason": "The file system is currently unassigned", "returnedValue": 0, "subCode": 0 }, "errorMsg": "Failed to mount file system" }